package vc.thinker.absctacts.mqtt.utils;

import org.slf4j.helpers.MessageFormatter;

/**
 * String格式化简化操作类
 *
 * @author HeTongHao
 * @since 2019-08-27 10:59
 */
public class StringFormatUtils {

    /**
     * 用{}作为占位符，格式化字符串
     *
     * @param format
     * @param argArray
     * @return
     */
    public static String format(String format, Object... argArray) {
        return MessageFormatter.arrayFormat(format, argArray).getMessage();
    }

    /**
     * 首字母小写
     *
     * @param str
     * @return
     */
    public static String lowercaseFirst(String str) {
        String firstChar = str.substring(0, 1);
        return str.replaceFirst(firstChar, firstChar.toLowerCase());
    }

    /**
     * 类名首字母小写
     *
     * @param clazz
     * @return
     */
    public static String classNameLowercaseFirst(Class clazz) {
        return lowercaseFirst(clazz.getSimpleName());
    }
}
