package vc.thinker.web.validator;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * @author : xieshaojun
 * @date : 2023/1/3 15:02
 */
public class ProtocolValidator implements ConstraintValidator<ValidatorEnum,String> {

    private Class<? extends Enum> enumClass;

    @Override
    public void initialize(ValidatorEnum protocolValidatorEnum) {
        enumClass = protocolValidatorEnum.enumClass();
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        if (value == null) {
            return true;
        }

        EnumValidate[] enums = (EnumValidate[]) enumClass.getEnumConstants();
        if(enums ==null || enums.length == 0){
            return false;
        }

        return enums[0].existValidate(value);
    }
}
